public class Student extends Person {
    private String semester;
    public Student(String firstName, String lastName, String semester) {
        // Call to super must be first statement in constructor
        super(firstName, lastName);
        this.semester = semester;
    }
    @Override
    public String toString() {
        return super.toString() + " (Semester: " + semester + ")";
        // Esto no compilaria:
        // return "" + super + " (Semester: " + semester + ")";
    }
}
